AN_GETVERSION(3)

NAME

an_getversion - retrieve Antinat library version

SYNOPSIS

#include <antinat.h>

unsigned int an_getversion();

DESCRIPTION

The an_getversion(3) function is used to identify the version of the library in use. This can be used to determine if a given function is available. It can be compared to the AN_VERSION constant to determine if the version of the library is older than the version for which your application was compiled.

RETURN VALUE

This call returns the client library version number.

ERRORS

There is no error return.

SEE ALSO

antinat(3)

AUTHOR

Malcolm Smith <malxau@users.sourceforge.net>